List risk match resolutions | Parallel Developer Documentation
This is documentation for Parallel Developer Documentation Legacy – v1.x, which is no longer actively maintained.
For up-to-date documentation, see the latest version (Current – v2.x).
Version: Legacy – v1.x
On this page
A risk match can have multiple resolutions applied to it over time. This endpoint can be used to obtain a list of all resolutions applied to a specific risk match.
HTTP Request
GET https://api.parallelmarkets.com/v1/partner-records/{id}/risk-matches/{risk_match_id}/resolutions
{id}- the individual or business ID in your case management account.{risk_match_id}- the ID of the specific risk match for the individual or business.
Query Parameters
Pagination request parameters (optional).
Response Parameters
| Parameter | Description |
|---|---|
data |
An array of Risk Match objects associated with the individual or business. |
pagination |
A Pagination object containing a next_cursor value that can be used in a subsequent API call to obtain the next page of records. |
Example Response
{
"data": [
{
"change_id": "UG9kVXNlckRhdGFFbnRyeTo5NTA=",
"created_at": "2023-05-24T13:30:52Z",
"id": "VXNlclJpc2tNb25pdG9yTWF0Y2g6NDU=",
"match_details": {
"adverse_media": true,
"birth_date": "1957-03-10",
"currently_sanctioned": true,
"deceased": true,
"disqualified_director": false,
"financial_regulator": true,
"first_name": "Joe",
"insolvent": false,
"last_name": "Sanctioned",
"law_enforcement": true,
"middle_name": "PATRICK",
"nationalities": ["RU"],
"pep": true,
"previously_sanctioned": false,
"score": 100
},
"resolution": null,
"resolution_id": "UG9kVXNlclJpc2tNYXRjaDoxMDc=",
"resolution_notes": null,
"resolved_at": null,
"resolved_by": null
},
{
"change_id": "UG9kVXNlckRhdGFFbnRyeTo5NTA=",
"created_at": "2023-06-07T09:54:33Z",
"id": "VXNlclJpc2tNb25pdG9yTWF0Y2g6NDU=",
"match_details": {
"adverse_media": true,
"birth_date": "1957-03-10",
"currently_sanctioned": true,
"deceased": true,
"disqualified_director": false,
"financial_regulator": true,
"first_name": "Joe",
"insolvent": false,
"last_name": "Sanctioned",
"law_enforcement": true,
"middle_name": "PATRICK",
"nationalities": ["RU"],
"pep": true,
"previously_sanctioned": false,
"score": 100
},
"resolution": "possible-match",
"resolution_id": "UG9kVXNlclJpc2tNYXRjaDoxMTU=",
"resolution_notes": "Name and nationality indicate a possible match.",
"resolved_at": "2023-06-07T09:54:33Z",
"resolved_by": {
"email": "reviewer@acme.com",
"first_name": "John",
"last_name": "Reviewer"
}
},
{
"change_id": "UG9kVXNlckRhdGFFbnRyeTo5NTA=",
"created_at": "2023-06-07T10:15:34Z",
"id": "VXNlclJpc2tNb25pdG9yTWF0Y2g6NDU=",
"match_details": {
"adverse_media": true,
"birth_date": "1957-03-10",
"currently_sanctioned": true,
"deceased": true,
"disqualified_director": false,
"financial_regulator": true,
"first_name": "Janvan",
"insolvent": false,
"last_name": "Sanctioned",
"law_enforcement": true,
"middle_name": "PATRICK",
"nationalities": ["SA"],
"pep": true,
"previously_sanctioned": false,
"score": 100
},
"resolution": "birth-date-mismatch",
"resolution_id": "UG9kVXNlclJpc2tNYXRjaDoxMTY=",
"resolution_notes": "Upon further review, birth dates do not match.",
"resolved_at": "2023-06-07T10:15:34Z",
"resolved_by": {
"email": "reviewer@acme.com",
"first_name": "John",
"last_name": "Reviewer"
}
}
],
"pagination": {
"next_cursor": "MTIzNDU="
}
}